import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubRepositoryConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#description DataGithubRepository#description}
    */
    readonly description?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#full_name DataGithubRepository#full_name}
    */
    readonly fullName?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#homepage_url DataGithubRepository#homepage_url}
    */
    readonly homepageUrl?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/repository#name DataGithubRepository#name}
    */
    readonly name?: string;
}
export declare class DataGithubRepositoryBranches extends cdktf.ComplexComputedList {
    get name(): string;
    get protected(): cdktf.IResolvable;
}
export declare class DataGithubRepositoryPagesSource extends cdktf.ComplexComputedList {
    get branch(): string;
    get path(): string;
}
export declare class DataGithubRepositoryPages extends cdktf.ComplexComputedList {
    get cname(): string;
    get custom404(): cdktf.IResolvable;
    get htmlUrl(): string;
    get source(): cdktf.IResolvable;
    get status(): string;
    get url(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/repository github_repository}
*/
export declare class DataGithubRepository extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/repository github_repository} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubRepositoryConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataGithubRepositoryConfig);
    get allowAutoMerge(): cdktf.IResolvable;
    get allowMergeCommit(): cdktf.IResolvable;
    get allowRebaseMerge(): cdktf.IResolvable;
    get allowSquashMerge(): cdktf.IResolvable;
    get archived(): cdktf.IResolvable;
    branches(index: string): DataGithubRepositoryBranches;
    get defaultBranch(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _fullName?;
    get fullName(): string;
    set fullName(value: string);
    resetFullName(): void;
    get fullNameInput(): string | undefined;
    get gitCloneUrl(): string;
    get hasDownloads(): cdktf.IResolvable;
    get hasIssues(): cdktf.IResolvable;
    get hasProjects(): cdktf.IResolvable;
    get hasWiki(): cdktf.IResolvable;
    private _homepageUrl?;
    get homepageUrl(): string;
    set homepageUrl(value: string);
    resetHomepageUrl(): void;
    get homepageUrlInput(): string | undefined;
    get htmlUrl(): string;
    get httpCloneUrl(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get nodeId(): string;
    pages(index: string): DataGithubRepositoryPages;
    get private(): cdktf.IResolvable;
    get repoId(): number;
    get sshCloneUrl(): string;
    get svnUrl(): string;
    get topics(): string[];
    get visibility(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
